import openfl.display.Sprite;
import openfl.display.Stage;
import openfl.events.Event;
class Main extends Sprite {
	public function new () {
		super ();
		stage.frameRate = 1000;
		var game:Game = new Game(stage);
		game.onInit();
		stage.addEventListener(Event.ENTER_FRAME, game.onEnterFrame);
		stage.addEventListener(Event.RESIZE,onResize);
		stage.application.window.resize(1920, 1080);
		stage.application.window.title = "Kanker";
		
	} 
	private function onResize (event:Event):Void {
		//Here we can do shit with window scaling
		//stage.stageWidth;
		//stage.stageHeight;
	}	
}